Skip to content
GAMPEONCreate
New project

Add a project to your favorites

PUT
/v1/projects/{slug}/favorite
curl --request PUT \
--url https://api.gampeon.com/v1/projects/example/favorite \
--header 'Authorization: Bearer <token>'

Published projects only. Calling it again changes nothing.

Not available with access tokens.

Rate limit: 120 per hour per account.

slug
required
string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/

Project slug

Favorite

Media typeapplication/json
object
favorited
required
boolean
favorites
required

Favorites of the project now

integer

Example generated

{
"favorited": true,
"favorites": 1
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 120 per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback